Skip to content

Add KYC

| View as Markdown

KYC - Know Your Customer. It is a process by which we can obtain information about the identity and address. The customer can add KYC related documents and details through this API.

Note: max 50 UIDs can be shared in single api call. If record already exist, existing record will be overridden and updated. Only new records will be added and existing will be updated.

https://kraken.airpay.co.in/airpay/api/addkyc.php
ParameterType ValueDescriptionValue Like
Content-Type optionalStringThe Content-Type header indicates the media type of the request or response body so the receiver knows how to process the data.application/x-www-form-urlencodeds
ParameterType ValueDescriptionValue Like
username requiredstringUser’s username. (Either orderid or ap_transactionid or rrn is)ORD12345
merchant_id requiredNumericMerchant ID(length 1 - 20). (Either orderid or ap_transactionid or rrn is )11111
private_key requiredstringPrivate Key(length 10 - 200)(private_key=hash(‘sha256’, secret.’@’.username.’::‘.password). (Either orderid or ap_transactionid or rrn is)
checksum optionalstring
(10 - 200)
checksum date=YYYY - MM - DD
alldata=merchant_id.private_key.kyc_data
Key generated by: key=hash(‘SHA256’, username.”:“.password)
checksum generated by: checksum=hash(‘SHA256’, key.’@’.alldata)
3455656676787878adsdfdfg
UID optionalstringCustomer UID shared by merchantehrjdsihogfoejroejfrjwfw9f9ewu49r4m4t9rrtj04
kyc_type optionalstringKYC type(length 2 - 5) Customer Name - CN Customer Email - EM Phone Number - PN Driving Licence - DL Pancard - PC Passport - PPPC
kyc_number optionalstringCustomer UID shared by merchant321400006787
kyc_data requiredstringKYC Data structure as follows [ { “UID”: “ehrjdsihogfoejroejfrjwfw9f9ewu49r4m4t9rrtj04”, “kycinfo”: [ { “kyc_type”: “PC”, “kyc_number”: “321400006787”, “status”: “PENDING” }, { “kyc_type”: “PP”, “kyc_number”: “A123456789”, “status”: “PENDING” } ] }, { “UID”: “b3f8c2d9-5e7a-4b1c-9d3e-f6a1b2c3d4e5”, “kycinfo”: [ { “kyc_type”: “DL”, “kyc_number”: “KA0120151234567”, “status”: “PENDING” } ] } ]
SHA256 encryption logic: kychashkey=hash(‘SHA256’, username.”:“.password);
kyc_number=hash(‘SHA256’, kychashkey.’@’.kyc_number);
ParameterType ValueDescriptionValue Like
status requiredNumericStatus code(length 1 - 3)200
message requiredstringMessage Status Message for 200 : Success, 400 : FailedSuccess
statusdescription requiredstringDescription of statussuccess
{
"merchant_id" : "11111",
"private_key" : "71a4efaf21c79864ec154babfc494f45fd1f65a570805084965d5b29486f1dfe",
"checksum" : "92c617a556982a8d124ff2b7ce9eae3e",
"kyc_data" : "[
{
"UID": "ehrjdsihogfoejroejfrjwfw9f9ewu49r4m4t9rrtj04",
"kycinfo": [
{
"kyc_type": "PC",
"kyc_number": "321400006787"
},
{
"kyc_type": "PP",
"kyc_number": "321400006787"
}
]
},
{
"UID": "UID",
"kycinfo": [
{
"kyc_type": "DL",
"kyc_number": "2938934hhh3"
}
]
}
]"
}
HTTP / 1.1 200 OK
{
"status": 200,
"message": "Success",
"statusdescription": "Success"
}
HTTP / 1.1 200 OK
{
"status": 400,
"message": "Failed",
"statusdescription": [
{
"ERROR": "Please provide valid merchant ID"
},
{
"ERROR": "Please provide valid Private Key"
},
{
"ERROR": "Please provide valid Checksum"
}
]
}